import http from '@/api'
import dataManage from '@/assets/mock/dataManage.json'
/**
 * @name 查询角色信息列表
 * @param query 参数
 * @returns 返回列表
 */
// export const listDataManageApi = () => {
//   return http.get<any>(`/mock/kg/dataManage/list`)
// }
export const importDataApi = (data: any) => {
  return http.post('/system/post/importData', data)
}
export const listDataManageApi = () => {
  return dataManage.dataManageList
}
export const detailListApi = () => {
  return dataManage.detailList
}
export const extractListApi = () => {
  return dataManage.extractList
}
export const extractResultsApi = () => {
  return dataManage.extractResults
}
/**
 * @name 查询角色信息详细
 * @param roleId roleId
 * @returns returns
 */
export const getRoleApi = (roleId: any) => {
  return http.get<any>(`/system/role/${roleId}`)
}

/**
 * @name 新增角色信息
 * @param data data
 * @returns returns
 */
export const addRoleApi = (data: any) => {
  return http.post<any>('/system/role', data, { loading: false })
}

/**
 * @name 修改角色信息
 * @param data data
 * @returns returns
 */
export const updateDataManageApi = (data: any) => {
  return http.put<any>('/system/role', data, { loading: false })
}

/**
 * @name 删除角色信息
 * @param roleId roleId
 * @returns returns
 */
export const delRoleApi = ({ roleId }: { roleId: any }) => {
  return http.delete<any>(`/system/role/${roleId}`)
}

/**
 * @name 下载模板
 * @returns returns
 */
export const importTemplateApi = () => {
  return http.download('/system/role/importTemplate', {})
}
